SLING-3017 Improve Karaf integration tests
authorOliver Lietz <olli@apache.org>
Fri, 13 Jan 2017 08:14:19 +0000 (08:14 +0000)
committerOliver Lietz <olli@apache.org>
Fri, 13 Jan 2017 08:14:19 +0000 (08:14 +0000)
update test dependencies

git-svn-id: https://svn.apache.org/repos/asf/sling/trunk@1778510 13f79535-47bb-0310-9956-ffa450edef68

pom.xml

diff --git a/pom.xml b/pom.xml
index 77c4bb5..81feaf3 100644 (file)
--- a/pom.xml
+++ b/pom.xml
@@ -74,7 +74,7 @@
     <dependency>
       <groupId>org.apache.sling</groupId>
       <artifactId>org.apache.sling.api</artifactId>
-      <version>2.15.0</version>
+      <version>2.16.2</version>
       <scope>test</scope>
     </dependency>
     <dependency>
@@ -86,7 +86,7 @@
     <dependency>
       <groupId>org.apache.sling</groupId>
       <artifactId>org.apache.sling.engine</artifactId>
-      <version>2.4.6</version>
+      <version>2.6.6</version>
       <scope>test</scope>
     </dependency>
     <dependency>
     <dependency>
       <groupId>de.flapdoodle.embed</groupId>
       <artifactId>de.flapdoodle.embed.mongo</artifactId>
-      <version>1.50.1</version>
+      <version>1.50.5</version>
       <scope>test</scope>
     </dependency>
     <dependency>
       <groupId>de.flapdoodle.embed</groupId>
       <artifactId>de.flapdoodle.embed.process</artifactId>
-      <version>1.50.1</version>
+      <version>1.50.2</version>
       <scope>test</scope>
     </dependency>
     <dependency>
       <groupId>net.java.dev.jna</groupId>
       <artifactId>jna</artifactId>
-      <version>4.2.1</version>
+      <version>4.2.2</version>
       <scope>test</scope>
     </dependency>
     <dependency>
       <groupId>net.java.dev.jna</groupId>
       <artifactId>jna-platform</artifactId>
-      <version>4.2.1</version>
+      <version>4.2.2</version>
       <scope>test</scope>
     </dependency>
     <dependency>
       <groupId>org.apache.commons</groupId>
       <artifactId>commons-compress</artifactId>
-      <version>1.9</version>
+      <version>1.13</version>
       <scope>test</scope>
     </dependency>
     <!-- Couchbase -->
     <dependency>
       <groupId>com.couchbase.client</groupId>
       <artifactId>couchbase-client</artifactId>
-      <version>1.4.6</version>
+      <version>1.4.12</version>
       <scope>test</scope>
     </dependency>
     <dependency>
     <dependency>
       <groupId>com.google.code.gson</groupId>
       <artifactId>gson</artifactId>
-      <version>2.3.1</version>
+      <version>2.7</version>
       <scope>test</scope>
     </dependency>
     <dependency>
     <dependency>
       <groupId>org.tukaani</groupId>
       <artifactId>xz</artifactId>
-      <version>1.5</version>
+      <version>1.6</version>
       <scope>test</scope>
     </dependency>
   </dependencies>